OVH Community, votre nouvel espace communautaire.

VPS - Centos et mise à jour PHP


pmithrandir
02/02/2013, 21h28
Bonjour,

J'ai installé un serveur VPS minimum 2013 aujourd'hui.
J'essaye de mettre en ligne mon projet symfony 2.

Pour vérifier ma configuration, j'ai exécuter leur outil de test.
Your project might malfunction randomly due to PHP bug #52083 ("Notice: Trying to get property of non-object"). Install PHP 5.3.4 or newer.
Install PHP 5.3.8 or newer if your project uses annotations.
PCRE 8.0+ is preconfigured in PHP since 5.3.2 but you are using an outdated version of it. Symfony probably works anyway but it is recommended to upgrade your PCRE extension.
Install and enable a PHP accelerator like APC (highly recommended).
Comme vous pouvez le voir, la plupart des alertes concernent la version de PHP trop vieille... en 5.3.3, alors que la dernière 5.3 est la 5.3.22.

J'ai bien trouvé quelques tutoriels sur le net pour installer PHP 5.4, mais cela passe par l'installation des repository "latest release".

Je voulais avoir vos conseils avant de mettre mon serveur dans cete situation.

Comment feriez-vous pour mettre PHP à jour ?
Je ne dois pas être le seul à vouloir faire tourner un projet symfony 2 sur un VPS OVH.

Merci,
Pierre